#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys, pygtk, gtk, gobject
if not sys.platform == 'win32':
	pygtk.require('2.0')

class About(gtk.AboutDialog):
	def __init__(self, widget, config):
		gtk.AboutDialog.__init__(self)
		self.set_icon(gtk.gdk.pixbuf_new_from_file("img/FramaKioskTune.png"))
		self.connect("response", lambda d, r: d.destroy())
		self.set_version(config.get("Data", "Version"))
		self.set_comments("Personnalisez votre FramaKiosk en toute simplicité!")
		fichierlicence = open("licence.txt")
		licence = fichierlicence.read()
		fichierlicence.close()
		self.set_license(licence)
		self.set_wrap_license(True)
		self.set_website("http://www.roromis.fr.nf/")
		self.set_authors(('Roromis',))
		self.set_logo(gtk.gdk.pixbuf_new_from_file('img/fktune-logo.png'))
		self.set_program_name("FramaKioskTune")
		self.show_all()
		
		self.run()
		self.destroy()
